{
  "name": "uniwine",
  "version": "0.2.0",
  "private": true,
  "homepage": "./",
  "dependencies": {
    "@ethersproject/address": "^5.5.0",
    "@ethersproject/contracts": "^5.5.0",
    "@ethersproject/providers": "^5.5.3",
    "@headlessui/react": "^1.4.3",
    "@heroicons/react": "^1.0.5",
    "@material-ui/core": "^4.12.3",
    "@material-ui/icons": "^4.11.2",
    "@uniswap/sdk-core": "^1.0.9",
    "@uniswap/v2-core": "^1.0.1",
    "@uniswap/v2-periphery": "^1.1.0-beta.0",
    "@uniswap/v2-sdk": "^1.0.7",
    "@vitejs/plugin-react": "^1.2.0",
    "@walletconnect/web3-subprovider": "^1.7.1",
    "@web3-react/core": "^6.1.9",
    "@web3-react/injected-connector": "^6.0.7",
    "@web3-react/network-connector": "^6.2.9",
    "@web3-react/portis-connector": "^6.2.11",
    "@web3-react/torus-connector": "^6.2.9",
    "@web3-react/walletconnect-connector": "^6.2.10",
    "ackee-tracker": "^5.1.0",
    "axios": "^0.25.0",
    "browserify-zlib": "^0.2.0",
    "buffer": "^6.0.3",
    "crypto-js": "^4.1.1",
    "ethers": "5.5.4",
    "events": "^3.3.0",
    "lodash": "^4.17.21",
    "notistack": "^1.0.9",
    "process": "^0.11.10",
    "qrcode.react": "^1.0.1",
    "react": "^17.0.2",
    "react-device-detect": "^2.1.2",
    "react-dom": "^17.0.2",
    "react-dom-confetti": "^0.2.0",
    "react-graceful-image": "^1.5.0",
    "react-router-dom": "^5.2.0",
    "react-simple-oauth2-login": "^0.5.3",
    "react-swipeable": "^6.2.0",
    "react-use": "^17.3.2",
    "stream-browserify": "^3.0.0",
    "tslib": "^2.3.1",
    "use-ackee": "^3.0.1",
    "use-resize-observer": "^8.0.0",
    "use-window-focus": "^1.4.0",
    "util": "^0.12.4",
    "vite-plugin-windicss": "^1.7.0",
    "vite-tsconfig-paths": "^3.4.0",
    "windicss": "^3.4.3"
  },
  "devDependencies": {
    "@babel/helper-builder-react-jsx": "^7.16.7",
    "@babel/helper-regex": "^7.10.5",
    "@types/ackee-tracker": "^5.0.2",
    "@types/react": "^17.0.39",
    "@typescript-eslint/eslint-plugin": "5.11.0",
    "@typescript-eslint/parser": "^5.11.0",
    "@vitejs/plugin-react-refresh": "^1.3.6",
    "eslint": "8.8.0",
    "eslint-config-standard": "16.0.3",
    "eslint-config-standard-with-typescript": "^21.0.1",
    "eslint-plugin-import": "2.25.4",
    "eslint-plugin-node": "11",
    "eslint-plugin-promise": "6.0.0",
    "eslint-plugin-react": "7.28.0",
    "eslint-plugin-react-hooks": "^4.3.0",
    "npm-run-all": "^4.1.5",
    "rollup-plugin-polyfill-node": "^0.8.0",
    "typescript": "^4.5.5",
    "vite": "^2.8.0",
    "vite-plugin-env-compatible": "^1.1.1",
    "vite-plugin-svgr": "^1.0.1"
  },
  "scripts": {
    "build": "tsc && vite build",
    "serve": "vite preview",
    "start": "vite",
    "analyze": "ANALYZE_WEBPACK=true build:app",
    "lint": "eslint --ext .js,.ts,.tsx,.jsx ./src",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app"
    ],
    "rules": {
      "no-unused-vars": [
        "warn",
        {
          "varsIgnorePattern": "^_",
          "argsIgnorePattern": "^_",
          "caughtErrorsIgnorePattern": "^ignore"
        }
      ],
      "@typescript-eslint/space-before-function-paren": "off",
      "@typescript-eslint/no-non-null-assertion": "off",
      "multiline-ternary": [
        "error",
        "always-multiline"
      ]
    }
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}